Can EntLib run on top .NET framework 2

Topics: Enterprise Library Core, General discussion
May 18, 2007 at 1:23 PM
Hi there, the question is whether EntLib can run on top of framework 2 without any modification? The challenge for me is that we have not adopted .NET framework 3 yet. But we do not want to modify EntLib because of the technical consideration.

Welcome any inspiring thought.
May 18, 2007 at 1:54 PM
You should not have any problems. I have successfully used the Enterprise Library 3.0 in applications written for both .NET 2.0 and 3.0 frameworks.

May 18, 2007 at 2:09 PM
As JB said, Enterprise Library 3.0 runs fine on Enterprise Library 2.0.

As a note, any Enterprise Library 3.0 Features that work with .NET 3.0 are in separate assemblies and won't cause any problems. The software factories that ship with Ent Lib 3.0 require .NET 3.0, but just won't be installed during installation.




David Hayden
Microsoft MVP C#